Summary: manual page reader
Name: man
Version: 1.4j
Release: 3
Copyright: GPL
Group: Utilities/System
Source0: ftp://sunsite.unc.edu/pub/Linux/apps/doctools/man-1.4j.tar.gz
Source1: makewhatis.cron
Patch0: man-1.4d-conf.patch
Patch1: man-1.4d-manpath.patch
Patch2: man-1.4d-sgid.patch
Patch3: man-1.4d-shell.patch
Patch4: man-1.4d-tmphole.patch
BuildRoot: /var/tmp/man-root
Requires: groff

%description
The man page suite, including man, apropos, and whatis.  These
programs are used to read most of the documentation available
on a Linux system.  The whatis and apropos programs can be used
to find documentation related to a particular subject.

%changelog

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>

- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>

- Added /usr/lib/perl5/man to default manpath

%prep
%setup
%patch -P 0 -b .conf
%patch -P 1 -p1 -b .manpath
%patch -P 2 -p1 -b .sgid
%patch -P 3 -p1 -b .shell
%patch -P 4 -p1 -b .tmphole

%build
./configure -default
patch -p0 -s < conf.diff
make CC="gcc $RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/bin
mkdir -p  $RPM_BUILD_ROOT/usr/sbin
mkdir -p  $RPM_BUILD_ROOT/usr/man
mkdir -p  $RPM_BUILD_ROOT/etc/cron.weekly

make install BINROOTDIR="$RPM_BUILD_ROOT"
chmod 755 $RPM_BUILD_ROOT/usr/sbin/makewhatis
chown root.man $RPM_BUILD_ROOT/usr/bin/man
chmod 2755 $RPM_BUILD_ROOT/usr/bin/man

install -m755 $RPM_SOURCE_DIR/makewhatis.cron $RPM_BUILD_ROOT/etc/cron.weekly

mkdir -p $RPM_BUILD_ROOT/var/catman
chown root.man $RPM_BUILD_ROOT/var/catman
chmod 775 $RPM_BUILD_ROOT/var/catman
mkdir -p $RPM_BUILD_ROOT/var/catman/local
chown root.man $RPM_BUILD_ROOT/var/catman/local
chmod 775 $RPM_BUILD_ROOT/var/catman/local
mkdir -p $RPM_BUILD_ROOT/var/catman/X11
chown root.man $RPM_BUILD_ROOT/var/catman/X11
chmod 775 $RPM_BUILD_ROOT/var/catman/X11
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/var/catman/cat$i
	chown root.man $RPM_BUILD_ROOT/var/catman/cat$i
	chmod 775 $RPM_BUILD_ROOT/var/catman/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/local/cat$i
	chown root.man $RPM_BUILD_ROOT/var/catman/local/cat$i
	chmod 775 $RPM_BUILD_ROOT/var/catman/local/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/X11/cat$i
	chown root.man $RPM_BUILD_ROOT/var/catman/X11/cat$i
	chmod 775 $RPM_BUILD_ROOT/var/catman/X11/cat$i
done

strip $RPM_BUILD_ROOT/usr/bin/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/cron.weekly/makewhatis.cron
/usr/bin/man
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
%config /etc/man.config
/usr/man/man5/man.config.5
/usr/man/man1/whatis.1
/usr/man/man1/man.1
/usr/man/man1/apropos.1

%dir /var/catman
%dir /var/catman/cat1
%dir /var/catman/cat2
%dir /var/catman/cat3
%dir /var/catman/cat4
%dir /var/catman/cat5
%dir /var/catman/cat6
%dir /var/catman/cat7
%dir /var/catman/cat8
%dir /var/catman/cat9
%dir /var/catman/catn
%dir /var/catman/local
%dir /var/catman/local/cat1
%dir /var/catman/local/cat2
%dir /var/catman/local/cat3
%dir /var/catman/local/cat4
%dir /var/catman/local/cat5
%dir /var/catman/local/cat6
%dir /var/catman/local/cat7
%dir /var/catman/local/cat8
%dir /var/catman/local/cat9
%dir /var/catman/local/catn
%dir /var/catman/X11
%dir /var/catman/X11/cat1
%dir /var/catman/X11/cat2
%dir /var/catman/X11/cat3
%dir /var/catman/X11/cat4
%dir /var/catman/X11/cat5
%dir /var/catman/X11/cat6
%dir /var/catman/X11/cat7
%dir /var/catman/X11/cat8
%dir /var/catman/X11/cat9
%dir /var/catman/X11/catn
